- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
dmxxinput.c File Reference
`#include <X11/X.h>`
`#include <X11/Xproto.h>`
`#include "inputstr.h"`
`#include <X11/extensions/XI.h>`
`#include <X11/extensions/XIproto.h>`
`#include "XIstubs.h"`
`#include "mipointer.h"`
`#include "dmxinputinit.h"`
`#include "exevents.h"`

## Functions
int | SetDeviceMode (ClientPtr client, DeviceIntPtr dev, int mode)
int | SetDeviceValuators (ClientPtr client, DeviceIntPtr dev, int *valuators, int first_valuator, int num_valuators)
int | ChangeDeviceControl (ClientPtr client, DeviceIntPtr dev, xDeviceCtl *control)

## Detailed Description

This file implements support required by the XINPUT extension.

## Function Documentation

int ChangeDeviceControl | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | xDeviceCtl * | control
| ) |  |

Change device control. This is not implemented.

int SetDeviceMode | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | int | mode
| ) |  |

Set device mode to mode. This is not implemented.

int SetDeviceValuators | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | int * | valuators,
|  | int | first_valuator,
|  | int | num_valuators
| ) |  |

Set device valuators. This is not implemented.